--- old/usr/src/lib/libdhcputil/common/dhcp_symbol.h	2014-10-07 19:19:53.488700770 +0200
+++ new/usr/src/lib/libdhcputil/common/dhcp_symbol.h	2014-10-07 19:19:53.493819105 +0200
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -26,8 +28,6 @@
 #ifndef	_DHCP_SYMBOL_H
 #define	_DHCP_SYMBOL_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * This file, along with <dhcp_symbol_common.h>, contains the DHCP symbol
  * constants and the definitions for the external interfaces to the parsing
@@ -36,7 +36,6 @@
  */
 
 #include <sys/types.h>
-#include <dhcp_svc_private.h>
 #include <dhcp_symbol_common.h>
 
 #ifdef	__cplusplus
@@ -46,13 +45,13 @@
 /*
  * Vendor class length (and implicitly, the number of classes)
  */
-#define	DSYM_CLASS_SIZE		DSVC_MAX_MACSYM_LEN	/* Single class max */
+#define	DSYM_CLASS_SIZE		128			/* Single class max */
 #define	DSYM_MAX_CLASS_SIZE	(DSYM_CLASS_SIZE * 10)	/* At least 10 */
 
 /*
- * Maximum symbol length is defined by the libdhcpsvc.
+ * Maximum symbol length
  */
-#define	DSYM_MAX_SYM_LEN	DSVC_MAX_MACSYM_LEN
+#define	DSYM_MAX_SYM_LEN	128
 
 /*
  * symbol parsing error codes
